# List components

Retrieves a list of components available for a specific site, including both built-in components and custom components that can be used on pages.

Endpoint: GET /api/v1/components
Version: v2.0
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer JWT

## Query parameters:

  - `site_name` (string, required)
    The name of the site for which to list available components.

## Header parameters:

  - `x-sc-job-id` (any)
    A unique identifier for the job, used to trace, audit, and revert actions performed by an AI agent through the Agent API.

## Response 200:

  - `200` (unknown)
    Successful response

## Response 200 fields (application/json):

  - `components` (object)

  - `components.groups` (array)
    A list of component groups.

  - `components.groups.title` (string)
    The title of the component group.
    Example: Dynamic Placeholders

  - `components.groups.components` (array)
    A list of components in the group.

  - `components.groups.components.category` (string)
    The category of the component.
    Example: Dynamic Placeholders

  - `components.groups.components.displayName` (string)
    The display name of the component.
    Example: Partial Design Dynamic Placeholder

  - `components.groups.components.iconUrl` (string)
    The URL of the icon representing the component.
    Example: /-/icon/Software/32x32/element.png.aspx

  - `components.groups.components.id` (string)
    The unique identifier of the component.
    Example: 86a03271-dff4-470a-92bd-b68c67de2e25

  - `components.groups.components.componentName` (string)
    The internal name of the component.
    Example: PartialDesignDynamicPlaceholder

  - `components.ungrouped` (array)
    A list of ungrouped components.

## Response 422:

  - `422` (unknown)
    Unprocessable entity

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array)
    The location of the error in the request.

  - `detail.msg` (string)
    The error message.

  - `detail.type` (string)
    The type of error.

  - `detail.input` (any)
    The input that caused the error.

  - `detail.ctx` (object)
    The context in which the error occurred.

